Saltar al contenido principal
PUT
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
Actualizar una función de una definición
curl --request PUT \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}/{functionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/plain' \
  --data '<string>'
{
  "functionType": "POST_ACTION_EXECUTION",
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

appId
integer<int32>
requerido
definitionId
string
requerido
functionId
string
requerido
functionType
enum<string>
requerido
Opciones disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Cuerpo

text/plain

The body is of type string.

Respuesta

successful operation

functionType
enum<string>
requerido

El tipo de función, con lo siguientes valores aceptados: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Opciones disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

El identificador único de la función.

Last modified on April 13, 2026